document.addEventListener('DOMContentLoaded', () => {
  // Mobile menu toggle
  const menuToggle = document.querySelector('.menu-toggle');
  const mainNav = document.querySelector('.main-nav');
  
  menuToggle.addEventListener('click', () => {
    mainNav.classList.toggle('active');
  });

  // Smooth scroll for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      const target = document.querySelector(this.getAttribute('href'));
      
      if (target) {
        target.scrollIntoView({
          behavior: 'smooth'
        });
        
        // Close mobile menu after clicking
        mainNav.classList.remove('active');
      }
    });
  });

  // Form submission handling
  const reservationForm = document.getElementById('reservation-form');
  
  if (reservationForm) {
    reservationForm.addEventListener('submit', (e) => {
      e.preventDefault();
      
      // Simple form validation
      const name = document.getElementById('name').value;
      const date = document.getElementById('date').value;
      const time = document.getElementById('time').value;
      const guests = document.getElementById('guests').value;

      if (name && date && time && guests) {
        alert('Thank you for your reservation request. We will contact you shortly to confirm.');
        reservationForm.reset();
      }
    });
  }

  // Parallax effect for hero section
  const hero = document.querySelector('.hero');
  
  window.addEventListener('scroll', () => {
    if (hero) {
      const scrolled = window.pageYOffset;
      hero.style.backgroundPositionY = `${scrolled * 0.5}px`;
    }
  });
});